python 安装第三方库,超时报错--Read timed out.

来源:http://www.prospettivedarte.com 作者:计算机教程 人气:100 发布时间:2019-05-10
摘要:During handling of the above exception, another exception occurred: image pip install numpy  时  报错: Traceback (most recent call last): File"/home/xiaoduc/.pyenv/versions/3.5.0/lib/python3.5/site-packages/pip/_vendor/requests/packa

During handling of the above exception, another exception occurred:

image

pip install numpy  时  报错:

Traceback (most recent call last):
File "/home/xiaoduc/.pyenv/versions/3.5.0/lib/python3.5/site-packages/pip/_vendor/requests/packages/urllib3/response.py", line 228, in _error_catcher
yield
File "/home/xiaoduc/.pyenv/versions/3.5.0/lib/python3.5/site-packages/pip/_vendor/requests/packages/urllib3/response.py", line 310, in read
data = self._fp.read(amt)
File "/home/xiaoduc/.pyenv/versions/3.5.0/lib/python3.5/site-packages/pip/_vendor/cachecontrol/filewrapper.py", line 49, in read
data = self.__fp.read(amt)
File "/home/xiaoduc/.pyenv/versions/3.5.0/lib/python3.5/http/client.py", line 433, in read
n = self.readinto(b)
File "/home/xiaoduc/.pyenv/versions/3.5.0/lib/python3.5/http/client.py", line 473, in readinto
皇牌天下投注网,n = self.fp.readinto(b)
File "/home/xiaoduc/.pyenv/versions/3.5.0/lib/python3.5/socket.py", line 571, in readinto
return self._sock.recv_into(b)
File "/home/xiaoduc/.pyenv/versions/3.5.0/lib/python3.5/ssl.py", line 924, in recv_into
return self.read(nbytes, buffer)
File "/home/xiaoduc/.pyenv/versions/3.5.0/lib/python3.5/ssl.py", line 786, in read
return self._sslobj.read(len, buffer)
File "/home/xiaoduc/.pyenv/versions/3.5.0/lib/python3.5/ssl.py", line 570, in read
v = self._sslobj.read(len, buffer)
socket.timeout: The read operation timed out

 

皇牌天下投注网 1

  格式:pip install 包名 -i https://pypi.doubanio.com/simple

皇牌天下投注网 2

pip install numpy -i https://pypi.doubanio.com/simple

解决方法,设置超时时间

本文由皇牌天下投注网发布于计算机教程,转载请注明出处:python 安装第三方库,超时报错--Read timed out.

关键词:

最火资讯